<?
include 'config.php';
include 'func.php';
head();
aut();
ban();
////////////////////////////////////////
####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'presents' WHERE `id` = '".$id_session."'");
####################################################

echo head . "<b>Подарки</b>" . div; 

if (isset($_GET['user'])) $_SESSION['uslog'] = html($_GET['user']);

switch ($_GET['act']) {
    
    default:
    $result = mysql_query("SELECT * FROM presents_cat");
    while($cat = mysql_fetch_assoc($result)) {
        $all = mysql_result(mysql_query("SELECT count(*) FROM `presents` WHERE `cat` = '".$cat['id']."'"), 0);
        echo link2 . '</b><a href="present.php?act=cat&id='.$cat['id'].'">'.$cat['name'].'</a> ['.$all.']</b>' . div;
    }
    break;
    

    
    case 'cat':
    $id = num($_GET['id']);
    $all = mysql_result(mysql_query("SELECT count(*) FROM presents WHERE `cat` = '".$id."'"), 0);
    if($all){
    $onpage = 5;
    $allpage = ceil($all/$onpage);
    $this_page = (isset($_GET['p'])) ? intval($_GET['p']) : 1 ;
    if($this_page < 1 || $this_page > $allpage)$this_page = 1;
    $start = $this_page*$onpage - $onpage;
    $result = mysql_query("SELECT * FROM presents WHERE `cat` = '".$id."' limit ".$start.",".$onpage."");
    while($pr = mysql_fetch_assoc($result)){
        $cat = mysql_fetch_assoc(mysql_query("SELECT * FROM `presents_cat` WHERE `id` = '".$pr['cat']."'"));
    echo link2 . '<a href="present.php?act=forma&id='.$pr['id'].'"><img src="../'.$pr['url'].'"alt="."/></a><br/>';
    echo 'Цена: <b>'.$pr['cena'].'</b> монет' . div;
    }
    echo '<div class="link1"><b>Страницы:</b> ';
    navigation($allpage,"present.php?act=cat&id=".$cat['id']."&p={p}",1,1);
    }
    break;
    
    case 'forma':
    $id = num($_GET['id']);
    $present = mysql_fetch_assoc(mysql_query("SELECT * FROM `presents` WHERE `id` = '".$id."'"));
    
    if (empty($present)) {
        echo link2 . 'Подарок не найден' . div;
        navig();
        foot();
        exit();
    }
    
    if (isset($_POST['submit'])) {
        $pr = num($_GET['id']);
        $user = html($_POST['login']);
        $coment = html($_POST['coment']);
        $tip = num($_POST['tip']);
        
        if (empty($pr)) $err = 'Не выбран подарок';
        if (empty($user)) $err = 'Не введен логин';
        
        $present = mysql_fetch_assoc(mysql_query("SELECT * FROM `presents` WHERE `id` = '".$pr."'"));
        if (empty($present)) $err = 'Подарок не найден в базе';
        
        if ($vip_session < time())
            if ($many_session < $present['cena']) $err = 'У вас не достаточно монет';
            
        $us = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `login` = '".$user."'"));
        if (empty($us)) $err = 'Пользователь не найден';  
        
        if (isset($err)) {
            echo katalog . '<b>Ошибка!</b> ' . $err . div;
        } else {
        //////////////////////////////////////////////////
        if ($vip_session < time())
            $result = $many_session - $present['cena'];
        else
            $result = $many_session;
        
        if ($tip == 2) $id_session = 0;  
        
        if (mysql_query("INSERT INTO `presents_list` SET `present` = '".$present['id']."', `user_1` = '".$id_session."', `user_2` = '".$us['id']."', `coment` = '".$coment."', `date` = '".time()."'"))
        {
            if ($vip_session > time())
                echo katalog . 'Вы успешно отослали подарок пользователю <b>'.$us['login'].'</b>' . div;
            else {
                mysql_query("UPDATE `profile` SET `many` = '".$result."' WHERE `id` = '".$id_session."'");
                echo katalog . 'Вы успешно отослали подарок пользователю <b>'.$us['login'].'</b>. С вашего счета снято '.$present['cena'].' монет. Осталось '.$result.' монет' . div;
                
                }
            if ($tip == 1)    
                $msg = 'Пользователь '.$login_session.' прислал(а) вам <a href="presents.php?act=present_user&user='.$us['id'].'">подарок</a>';
            else
                $msg = 'Аноним прислал вам <a href="presents.php?act=present_user&user='.$us['id'].'">подарок</a>'; 
                mysql_query("INSERT INTO `uvedom` SET  `msg` = '".$msg."', `md` = 'present', `user_to` = '".$us['id']."', `user_ot` = '".$id_session."', `date` = '".time()."', `status` = '1'");
        } else {
            echo katalog . 'Возникла ошибка. Обратитесь администратору.' . div;
        }
        
        ///////////////////////////////////////////////////
        }
        
            
          
            
        
    }
    echo '<form action="present.php?act=forma&id='.$id.'" method="post" name="form">';
    if (isset($_SESSION['uslog']))
    echo katalog . '<b>Ник получателя</b><br/ > <input name="login" type="text" value="'.$_SESSION['uslog'].'" maxlength="25" /><br/ >';
    else
    echo katalog . '<b>Ник получателя</b><br/ > <input name="login" type="text" maxlength="25" /><br/ >';
    echo '<b>Коментарий</b><br/ > <input name="coment" type="text" maxlength="100" /><br/ >';
    echo '
    <b>Отправить:</b>
    <select name="tip">
    <option value="1">Публично</option>
    <option value="2">Анонимно</option>
    </select><br/>';
    echo '<input name="submit" type="submit" value="Отправить" /></form>' . div;
    break;
}



//////////////////////////////////////

navig();
foot();
?>